﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net5.0</TargetFramework>
    <LangVersion>9.0</LangVersion>
    <Configurations>Debug;Release;OnlyDwtToSequences</Configurations>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <PlatformTarget>x64</PlatformTarget>
    <NoWarn>1701;1702;IDE0063</NoWarn>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='OnlyDwtToSequences|AnyCPU'">
    <PlatformTarget>x64</PlatformTarget>
    <NoWarn>1701;1702;IDE0063</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="MathNet.Numerics" Version="4.8.0" />
    <PackageReference Include="Microsoft.CodeAnalysis.FxCopAnalyzers" Version="3.0.0">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="MongoDB.Bson" Version="2.11.6" />
    <PackageReference Include="MongoDB.Driver" Version="2.11.6" />
    <PackageReference Include="MongoDB.Driver.Core" Version="2.11.6" />
    <PackageReference Include="MRTSharp" Version="1.0.1" />
    <PackageReference Include="Newtonsoft.Json" Version="12.0.3" />
  </ItemGroup>


</Project>
